﻿using System;
using System.Data;
using System.Text;
using System.Linq;
using System.Drawing;
using System.Resources;
using System.ComponentModel;
using System.Collections.Generic;
using ZennoLab.CommandCenter;
using ZennoLab.InterfacesLibrary.ProjectModel;
using ZennoLab.InterfacesLibrary.ProjectModel.Enums;
using ZennoLab.Emulation;
using ZennoLab.InterfacesLibrary.Enums.Http;

namespace NewProject5
{
	internal class ActionGroup1
	{
		public static int Execute(Instance instance, IZennoPosterProjectModel project)
		{
			instance.ClearCookie();
			
			instance.LoadPictures = false;
			
			Tab tab = instance.ActiveTab;
			if ((tab.IsVoid) || (tab.IsNull)) return -1;
			if (tab.IsBusy) tab.WaitDownloading();
			tab.Navigate("http://lessons.zennolab.com/en/advanced", "");
			if (tab.IsBusy) tab.WaitDownloading();

			HtmlElement he = instance.GetTabByAddress("page").GetDocumentByAddress("0").FindElementByTag("form", 0).FindChildByAttribute("img", "src", "http://www.google.com/recaptcha/api/image\\?c=03AHJ_Vutfh4q8SqnOpV-emHYtMObctNmC0BhQJ6fDg8xobideICI6wtsnXnRx5niiaPq6JGL-bA2obiU9af76nQ2Wlo1Yfff3Rg_ZJK7CTP1F-LerNP-D76Zrwbckyx5obubMjmEZrRupOG0cSDzQNib_4bf4xGJz4eMXCmZFNE5w-wy9ydCFCu8", "regexp", 0);
			if (he.IsVoid) {
				he = instance.GetTabByAddress("page").GetDocumentByAddress("0").FindElementByTag("form", 0).FindChildByAttribute("img", "fulltag", "img", "text", 0);
			}
			if (he.IsVoid) return -1;
			
			// get src attribute
			string url = he.GetAttribute("src");
			// set LoadPictures as true
		    instance.LoadPictures = true;
			// set src attribute to the element
			he.SetAttribute("src", url);
			// wait downloading
			System.Threading.Thread.Sleep(2000);
			// set src attribute as false
			instance.LoadPictures = false;
			
			string recognition = ZennoPoster.CaptchaRecognition("MonkeyEnter.dll", he.DrawToBitmap(true), "");

			return 0;
		}
	}
}